"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var gulp = require("gulp");
var rev = require("gulp-rev");
var internal_1 = require("../../internal");
// 1) Add md5 hashes to assets referenced by CSS and JS files
var revAssets = function (timplaConfig) { return function () {
    // Ignore files that may reference assets. We'll rev them next.
    var ignoreThese = "!" + internal_1.projectDestPath('**/*+(css|js|map|json|html)');
    return gulp
        .src([internal_1.projectDestPath('**/*'), ignoreThese])
        .pipe(rev())
        .pipe(gulp.dest(timplaConfig.dest))
        .pipe(internal_1.revNapkin({ verbose: false, force: true }))
        .pipe(rev.manifest(internal_1.projectDestPath('rev-manifest.json'), {
        merge: true,
    }))
        .pipe(gulp.dest('./'));
}; };
exports.default = revAssets;
//# sourceMappingURL=assets.js.map