"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var browserSync = require("browser-sync");
var gulp = require("gulp");
var rename = require("gulp-rename");
var svgstore = require("gulp-svgstore");
var internal_1 = require("../internal");
exports.svg = function (_a) {
    var svgOptions = _a.svg;
    return function (cb) {
        if (svgOptions === false) {
            return cb;
        }
        var settings = {
            dest: internal_1.projectDestPath(svgOptions.dest),
            src: internal_1.projectSrcPath(svgOptions.src, '*.svg'),
        };
        return gulp
            .src(settings.src, svgOptions.srcOptions)
            .pipe(svgstore(svgOptions.svgstore))
            .pipe(rename(svgOptions.outputName))
            .pipe(gulp.dest(settings.dest, svgOptions.destOptions))
            .pipe(browserSync.stream());
    };
};
//# sourceMappingURL=svg.js.map