"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var browserSync = require("browser-sync");
var gulp = require("gulp");
var internal_1 = require("../internal");
exports.html = function (_a) {
    var htmlOptions = _a.html;
    return function (cb) {
        if (htmlOptions === false) {
            return cb;
        }
        var paths = {
            dest: internal_1.projectDestPath(htmlOptions.dest),
            src: [internal_1.projectSrcPath(htmlOptions.src, '**/*.html')],
        };
        return gulp
            .src(paths.src, htmlOptions.srcOptions)
            .pipe(gulp.dest(paths.dest, htmlOptions.destOptions))
            .pipe(browserSync.stream());
    };
};
//# sourceMappingURL=html.js.map